# Search for product transactions

Endpoint: GET /storages/transactions/{location_id}
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    location ID

## Query parameters:

  - `page` (number)
    page number

  - `count` (number)
    number of transactions per page

  - `start_date` (string)
    period start date

  - `end_date` (string)
    period end date

  - `document_id` (string)
    Document ID

  - `changed_after` (string)
    Filtering product transactions modified/created since a specific date and time

  - `changed_before` (string)
    Filtering product transactions modified/created before a specific date and time

## Header parameters:

  - `Accept` (string, required)
    e.g. application/vnd.api.v2+json

  - `Content-Type` (string, required)
    application/json

  - `Authorization` (string, required)
    Bearer partner_token, User user_token

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Execution success status (true)

  - `data` (array)
    Array of objects with data

  - `data.id` (number)
    Transaction ID

  - `data.document_id` (number)
    Document ID

  - `data.type_id` (number)
    Transaction type identifier

  - `data.type` (string)
    Transaction type

  - `data.good` (object)
    Product

  - `data.good.id` (number)
    Item ID

  - `data.good.title` (string)
    Product Name

  - `data.storage` (object)
    Inventory

  - `data.storage.id` (number)
    Inventory ID

  - `data.storage.title` (string)
    Inventory name

  - `data.unit` (object)
    Unit of measurement

  - `data.unit.id` (number)
    Unit ID

  - `data.unit.title` (string)
    Unit name

  - `data.operation_unit_type` (number)
    Unit type: 1 - for sale, 2 - for write-off

  - `data.create_date` (string)
    date of creation

  - `data.last_change_date` (string)
    Last modified date

  - `data.cost_per_unit` (number)
    Unit price

  - `data.cost` (number)
    Price

  - `data.discount` (number)
    Discount

  - `data.master` (object)
    team member

  - `data.master.id` (number)
    team member ID

  - `data.master.title` (string)
    team member name

  - `data.supplier` (object)
    The supplier

  - `data.supplier.id` (number)
    Vendor ID

  - `data.supplier.title` (string)
    Supplier name

  - `data.record_id` (number)
    Appointment ID

  - `data.service` (object)
    Service

  - `data.service.id` (number)
    Service ID

  - `data.service.title` (string)
    Service name

  - `data.clients` (object)
    Customer

  - `data.clients.id` (number)
    Client ID

  - `data.clients.name` (string)
    Client name

  - `data.clients.phone` (string)
    Customer phone

  - `meta` (array)
    Metadata (empty array)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

